Subject: Re: [MEXT] mext-cga-01

From: Julien Laganier <[email-masked]>
Date: Wed, 16 Feb 2011 22:41:30 -0800

Hello Alper,

This is an important point about how we authorize a MN to create a BCE
in the first place. I've hinted at a couple of ways of doing so during
the IETF meeting:

- only MN that is on-home-link can create initial BCE, and then it can
update from wherever. This would be applicable when we know the MN
(almost) always has attachment to home link, e.g., dual mode MN with
always on cellular.
- only MN that has CoA in some prefix block can create initial BCE,
and then it can update from wherever. This would be applicable when we
know the MN at some point booted-up in its provider network.

We can and should discuss this more.

--julien

On Sat, Feb 12, 2011 at 1:17 AM, Alper Yegin <[email-masked]> wrote:
> Hello Julien, and MEXT members,
>
>
>
>
>
> I can have a MN that simply generates a CGA-based HoA by knowing the prefix
> served by the HA implementing this I-D, and get its BU accepted.
>
> The HA has no way to know whether this MN is authorized to be served
> (irrespective of the choice of HoA) or not.
>
>
>
> So, although I see this I-D serves a purpose by ensuring HoA ownership, I
> don’t see how it achieves general “BU authorization”.
>
>
>
> Probably this solution’s applicability shall reflect that, or some
> complimentary technique needs to be identified in order to complete the
> picture.
>
>
>
> Alper
>
>
>
>
>
>
>
>
>
>
>
>
>
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext
>
>